Table of Contents

Class: RenderSession | Twisted-0.17.4/twisted/web/widgets.py
--- | ---

I handle rendering of a list of deferreds, outputting their results in correct order.

Methods |
--- | ---
__init__ _addDeferred callback keepRendering
| __init__

    __init__ (
            self,
            lst,
            request,
            )

| _addDeferred

    _addDeferred ( self,  deferred )

| callback

    callback (
            self,
            result,
            sentinel,
            decNeedsHeaders,
            )

Exceptions |
--- | ---
'Sentinel for Deferred not found!'

| keepRendering

    keepRendering ( self )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:53 2002 by HappyDoc version 2.0